Bug 819954 - (lightdm-gtk) Review Request: lightdm-gtk - LightDM GTK+ Greeter
Review Request: lightdm-gtk - LightDM GTK+ Greeter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On: lightdm
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 13:25 EDT by Rex Dieter
Modified: 2012-06-12 14:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 14:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gregor: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-05-08 13:25:48 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-gtk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-gtk-1.1.5-4.fc17.src.rpm
Description:
A LightDM greeter that uses the GTK+ toolkit.
Comment 1 Gregor Tätzner 2012-06-10 11:53:51 EDT
proposal: Use alternatives to handle greeter config

Spec: http://brummbq.fedorapeople.org/lightdm/lightdm-gtk.spec
SRPM: http://brummbq.fedorapeople.org/lightdm/lightdm-gtk-1.1.5-5.fc16.src.rpm
Comment 2 Gregor Tätzner 2012-06-11 12:37:43 EDT
pre-review:

- Source0 link is broken, correct one: https://launchpad.net/lightdm-gtk-greeter/trunk/1.1.5/+download/lightdm-gtk-greeter-1.1.5.tar.gz

- this package is bundling ltmain.sh from 'libtool'

- missing doc: ChangeLog COPYING NEWS README

- validate desktop file (no errors)?

- there is also a new release, update now or post-review?

regarding ltmain.sh: this file doesn't get installed, so I suppose we can ignore this issue.

thanks for packaging
Comment 3 Rex Dieter 2012-06-11 15:03:25 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-gtk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-gtk-1.1.6-1.fc17.src.rpm

%changelog
* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 1.1.6-1
- lightdm-gtk-greeter-1.1.6
- fix Source Url
- add %%doc's
- License: GPLv3+


* autofoo/libtool stuff is buildsystem only, and is meant to be bundled. :)

* .desktop validation is required only for user-visible items (ie, those in menus grok'd from stuff under /usr/share/applications/)
Comment 4 Gregor Tätzner 2012-06-12 14:03:05 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/greg/projects/Review/819954/lightdm-gtk-greeter-1.1.6.tar.gz :
  MD5SUM this package     : f9487ece204533000fe01ce83cfdc8a8
  MD5SUM upstream package : f9487ece204533000fe01ce83cfdc8a8

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.

Approved

Note: Actually the provides lightdm-greeter is unversioned. Could that cause issues in future? Can we tie a greeter to a specific lightdm base package?
Comment 5 Rex Dieter 2012-06-12 14:11:11 EDT
versioning the lightdm-greeter dep indeed makes good sense
Comment 6 Rex Dieter 2012-06-12 14:12:09 EDT
New Package SCM Request
=======================
Package Name: lightdm-gtk
Short Description: LightDM GTK+ Greeter
Owners: rdieter cwickert
Branches: f16 f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-12 14:38:36 EDT
Git done (by process-git-requests).
Comment 8 Rex Dieter 2012-06-12 14:48:30 EDT
imported into rawhide

Note You need to log in before you can comment on or make changes to this bug.